diff options
Diffstat (limited to 'pkg/rpm/rpmbuild/SOURCES/unit.loadconfig.sh')
-rw-r--r-- | pkg/rpm/rpmbuild/SOURCES/unit.loadconfig.sh | 25 |
1 files changed, 25 insertions, 0 deletions
diff --git a/pkg/rpm/rpmbuild/SOURCES/unit.loadconfig.sh b/pkg/rpm/rpmbuild/SOURCES/unit.loadconfig.sh new file mode 100644 index 00000000..3dd90740 --- /dev/null +++ b/pkg/rpm/rpmbuild/SOURCES/unit.loadconfig.sh @@ -0,0 +1,25 @@ +#!/bin/sh +# +# Legacy action script for "service unit loadconfig" + +CONFIG=/etc/unit/config + +if [ -n "$1" ] ; then + CONFIG=$1 +fi + +if [ ! -e ${CONFIG} ]; then + echo "Could not find ${CONFIG} for loading" >&2 + exit 1 +fi + +echo "Loading configuration from ${CONFIG}..." + +curl -sS -X PUT --data-binary @${CONFIG} --unix-socket /var/run/control.unit.sock localhost + +if [ $? -ne 0 ]; then + echo "Loading failed!" >&2 + exit 1 +fi + +exit 0 |